org.mariadb.jdbc.internal.mysql

## Class MySQLValueObject

- java.lang.Object
- - org.mariadb.jdbc.internal.common.AbstractValueObject
  - - org.mariadb.jdbc.internal.mysql.MySQLValueObject

All Implemented Interfaces:
  ValueObject

    public class MySQLValueObject
    extends AbstractValueObject

Contains the raw value returned from the server

Is immutable

### Field Summary

### Fields inherited from class org.mariadb.jdbc.internal.common.AbstractValueObject

`dataType`

### Fields inherited from interface org.mariadb.jdbc.internal.common.ValueObject

`TINYINT1_IS_BIT, YEAR_IS_DATE_TYPE`

### Constructor Summary

Constructors
Constructor and Description
`MySQLValueObject(byte[] rawBytes, MySQLColumnInformation columnInfo)`

### Method Summary

Methods
`Object` `getObject(int datatypeMappingFlags, Calendar cal)`
`String` `getString()`

### Methods inherited from class org.mariadb.jdbc.internal.common.AbstractValueObject

`getBigDecimal, getBigInteger, getBinaryInputStream, getBlob, getBoolean, getByte, getBytes, getClob, getDate, getDisplayLength, getDouble, getFloat, getInputStream, getInt, getLong, getShort, getTime, getTimestamp, isNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MySQLValueObject

    public MySQLValueObject(byte[] rawBytes,
                    MySQLColumnInformation columnInfo)

### Method Detail

#### getString

    public String getString()

Specified by:
  `getString` in interface `ValueObject`
Overrides:
  `getString` in class `AbstractValueObject`

#### getObject

    public Object getObject(int datatypeMappingFlags,
                   Calendar cal)
                     throws ParseException

Specified by:
  `getObject` in interface `ValueObject`
Specified by:
  `getObject` in class `AbstractValueObject`
Throws:
  `ParseException`